<mat-card
  *ngIf="organization"
  appearance="outlined"
  class="edit-organization-container">
  <app-edit-organization-logo-card
    [organizationLogo]="organization.logo_url"
    [isEditable]="isEditable"
    (editOrganizationLogoClicked)="editOrganizationLogoClicked.emit({ id: organization.organization_id })">
  </app-edit-organization-logo-card>
  <mat-divider></mat-divider>
  <app-edit-organization-name-card
    [organizationName]="organization.organization_name"
    [isDone]="isNameDone"
    [isEditable]="isEditable"
    (editOrganizationNameClicked)="editOrganizationNameClicked.emit({ id: organization.organization_id })">
  </app-edit-organization-name-card>
  <mat-divider></mat-divider>
  <app-edit-organization-details-card
    [organizationDetails]="organization.details"
    [isDone]="isDetailsDone"
    [isEditable]="isEditable"
    (editOrganizationDetailsClicked)="editOrganizationDetailsClicked.emit({ id: organization.organization_id })">
  </app-edit-organization-details-card>
  <mat-divider></mat-divider>
  <app-edit-organization-contact-card
    [organizationContactData]="organization.contact_data"
    [isDone]="isContactDone"
    [isEditable]="isEditable"
    (editOrganizationContactDataClicked)="editOrganizationContactDataClicked.emit({ id: organization.organization_id})">
  </app-edit-organization-contact-card>
</mat-card>
